# Spec file for ding
# 
Summary: A Dictionary Lookup program
Name: ding
Version: 1.7
Release: 1%{?dist}
# Vendor: Frank Richter <frank.richter@hrz.tu-chemnitz.de>
License: GPL 
Group: X11/Utilities
Source: ding-%{version}.tar.gz
URL: http://www-user.tu-chemnitz.de/~fri/ding/
# Packager: Frank Richter <frank.richter@hrz.tu-chemnitz.de>
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root
Requires: tcl >= 8.0
Requires: tk >= 8.0

%description 
Ding (DIctionary Nice Grep) is a tool to lookup words in dictionaries.
It uses tools like agrep, dict, ispell/aspell etc. It contains a program 
(ding) written in Tcl/Tk and a German - English dictionary with about
270,000 translations.

%description -l de
Ding (DIctionary Nice Grep) ist ein Programm zur Suche in Wrterbchern.
Es benutzt zur Suche Werkzeuge wie agrep bzw. egrep, dict, ispell/aspell.
Es basiert auf Tcl/Tk und enthlt ein Deutsch- Englisches Wrterbuch mit 
ca. 270.000 Eintrgen.

%prep 
%setup
%build
%install
echo $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/dict
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1

cp ding $RPM_BUILD_ROOT/usr/bin/ding
cp de-en.txt $RPM_BUILD_ROOT/usr/share/dict/de-en.txt
cp ding.png $RPM_BUILD_ROOT/usr/share/pixmaps/ding.png
cp ding.desktop $RPM_BUILD_ROOT/usr/share/applications/ding.desktop
cp ding.1 $RPM_BUILD_ROOT/usr/share/man/man1/ding.1
gzip $RPM_BUILD_ROOT/usr/share/man/man1/ding.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Symlink to older (?) /usr/share/applnk
#[ -d /usr/share/applnk/Utilities ] && ln -s /usr/share/applications/ding.desktop /usr/share/applnk/Utilities/ding.desktop
#exit 0

%postun
# remove "old" /usr/share/applnk/Utilities/ding.desktop if available
#[ -f /usr/share/applnk/Utilities/ding.desktop -o -L /usr/share/applnk/Utilities/ding.desktop ] && /bin/rm -f /usr/share/applnk/Utilities/ding.desktop
#exit 0

%files 
%defattr(-,root,root)
/usr/bin/ding
/usr/share/dict/de-en.txt
/usr/share/pixmaps/ding.png
/usr/share/applications/ding.desktop
/usr/share/man/man1/ding.1.gz

%doc README
%doc CHANGES
%doc COPYING

%changelog
* Mon Sep 13 2009 Frank Richter <frank.richter@hrz.tu-chemnitz.de>
- version 1.7

* Mon Apr 09 2007 Frank Richter <frank.richter@hrz.tu-chemnitz.de>
- version 1.5
- install ding now to /usr/bin

* Fri Jan 21 2005 Frank Richter <frank.richter@hrz.tu-chemnitz.de>
- version 1.4

* Wed Feb 11 2004 Frank Richter <frank.richter@hrz.tu-chemnitz.de>
- Time to start a changelog ...
- Changes for version 1.3, fiddling with *.desktop files

